﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ChartSample
{
   public class Sample : ContentPage
    {
        ObservableCollection<ChartDataPoint> DataPoints;
        public Sample()
        {
            SfChart chart = new SfChart();

            DataPoints = new ObservableCollection<ChartDataPoint>();
            DataPoints.Add(new ChartDataPoint("Jan", 1));
            DataPoints.Add(new ChartDataPoint("Feb", 2));
            DataPoints.Add(new ChartDataPoint("Mar", 3));
            DataPoints.Add(new ChartDataPoint("Apr", 4));
            DataPoints.Add(new ChartDataPoint("May", 5));

            CategoryAxis xAxis = new CategoryAxis();
            chart.PrimaryAxis = xAxis;

            NumericalAxis yAxis = new NumericalAxis();
            chart.SecondaryAxis = yAxis;

            ColumnSeries series = new ColumnSeries();
            series.ItemsSource = DataPoints;
            chart.Series.Add(series);

            List<Color> colors = new List<Color>();

            for(int i=0; i< DataPoints.Count; i++)
            {
                if(DataPoints[i].YValue == 1)
                {
                    colors.Add(Color.Red);
                }
                else if(DataPoints[i].YValue == 2)
                {
                    colors.Add(Color.Aqua);
                }
                else if (DataPoints[i].YValue == 3)
                {
                    colors.Add(Color.Blue);
                }
                else if (DataPoints[i].YValue == 4)
                {
                    colors.Add(Color.Pink);
                }
                else if (DataPoints[i].YValue == 5)
                {
                    colors.Add(Color.Silver);
                }
            }

            series.ColorModel.Palette = ChartColorPalette.Custom;
            series.ColorModel.CustomBrushes = colors;

            Content = chart;
        }
    }
}
